# Luakit Documentation / Classes / widget:spinner

# Class `widget:spinner`

Spinner widget
This module is only available from the UI process Lua state.

The spinner widget indicates an ongoing process of indefinite duration.

## Methods

### spinner:start ()

Start spinning.

### spinner:stop ()

Stop spinning.

## Properties

### spinner.started

Type: boolean
Read-only
Whether the widget is spinning.

## Attribution

#### Copyright

- 2010 Mason Larobina